# remin: Physics-Informed Neural Networks Solver Library


> `remin` is a Python package that provides an implementation of Physics-Informed Neural Networks (PINNs) using PyTorch. It allows users to create neural network models that can solve differential equations and other physics problems. It provides an efficient and easy-to-use interface for training neural networks using physics-based constraints, and can be used for a wide range of applications in physics and engineering.

## Installation

### Prerequisites

Before using `remin`, you will need to install the following packages:

* PyTorch (version 2.0.0 or later)
* NumPy
* pyDOE (version 0.3.8 or later)

You can install all the requirements using pip, the Python package installer. To install PyTorch, run the following command or follow the instructions on their [website](https://pytorch.org/get-started/locally/) to install with GPU support:
```
pip install torch>=2.0.0
```
To install NumPy, run the following command:
```
pip install numpy
```
To install pyDOE, run the following command:
```
pip install pyDOE>=0.3.8
```
Alternatively, you can install these packages using conda or any other package manager of your choice.

Once you have installed these packages, `remin` can be installed using pip([PyPi](https://pypi.org/project/remin/)):
```
pip install remin
```
---
## Usage

*Will be extended in future.*

---
## Contributing

If you want to contribute to `remin`, feel free to submit a pull request or open an issue on GitHub.

---
## References

If you want to learn more about Physics-Informed Neural Networks (PINNs) and their applications, here are some useful references:

* Raissi, Maziar, Paris Perdikaris, and George Em Karniadakis. "Physics-informed neural networks: A deep learning framework for solving forward and inverse problems involving nonlinear partial differential equations." Journal of Computational Physics 378 (2019): 686-707.
* Sirignano, Justin, and Konstantinos Spiliopoulos. "DGM: A deep learning algorithm for solving partial differential equations." Journal of Computational Physics 375 (2018): 1339-1364.
* Yang, Ke, and Jie Liu. "Physics informed deep learning (part I): Data-driven solutions of nonlinear partial differential equations." arXiv preprint arXiv:1711.10561 (2017).
* Yang, Ke, and Jie Liu. "Physics informed deep learning (part II): Data-driven discovery of nonlinear partial differential equations." arXiv preprint arXiv:1711.10566 (2017).

---
## License

This project is licensed under the MIT License - see the [LICENSE](https://github.com/SalihTasdelen/remin/blob/main/LICENSE) file for details.